%define kernel_rel	%(eval uname -r)
%define kmdl_ksrcdir	/lib/modules/%{kernel_rel}/build
%define kmdl_moduledir	/lib/modules/%{kernel_rel}/kernel

Summary: Kernel module for the Intel PRO/Wireless 2200.
Name: ipw2200
Version: 1.0.3
Release: b1
License: GPL2
Group: System Environment/Kernel
URL: http://ipw2200.sourceforge.net/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: ipw2200-firmware = 2.2

BuildArchitectures: i586

%description
This project was created by Intel to enable support for the Intel
PRO/Wireless 2200 Network Connection mini PCI adapter.

%prep
%setup -q
perl -pi -e's,# CONFIG_IPW2200_LEGACY_FW_LOAD=y,CONFIG_IPW2200_LEGACY_FW_LOAD=y,' Makefile
perl -pi -e's,/sbin/depmod,:,g' Makefile

%build
make KSRC=%{kmdl_ksrcdir}

%install
rm -rf %{buildroot}

#mkdir -p %{buildroot}%{_sbindir}
#install -p ipwinfo %{buildroot}%{_sbindir}/

mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/net/wireless/ipw
make KSRC=%{kmdl_ksrcdir} KMISC=%{buildroot}%{kmdl_moduledir}/drivers/net/wireless/ipw install
#make -C %{kmdl_ksrcdir} SUBDIRS=`pwd` INSTALL_MOD_PATH=%{buildroot} modules_install

if [ -d %{buildroot}%{kmdl_moduledir}/../extra ]; then
  mv %{buildroot}%{kmdl_moduledir}/../extra/* %{buildroot}%{kmdl_moduledir}/drivers/net/wireless/ipw/
fi

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
#%doc README* LICENSE
#%{_sbindir}/
%{kmdl_moduledir}/drivers/net/wireless/ipw/*


%changelog
* Thu May 19 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
